Megosztás:


Container Services - List Orchestrators

Lekéri a támogatott vezénylők listáját a megadott előfizetésben. A művelet az egyes vezénylők tulajdonságait adja vissza, beleértve a verziót, az elérhető frissítéseket és azt, hogy az adott verzió vagy frissítés előzetes verzióban van-e.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ContainerService/locations/{location}/orchestrators?api-version=2019-04-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ContainerService/locations/{location}/orchestrators?api-version=2019-04-01&resource-type={resource-type}

URI-paraméterek

Name In Kötelező Típus Description
location
path True

string

Egy támogatott Azure-régió neve.

subscriptionId
path True

string

Az előfizetés hitelesítő adatai, amelyek egyedileg azonosítják a Microsoft Azure-előfizetést. Az előfizetés azonosítója minden szolgáltatáshíváshoz az URI részét képezi.

api-version
query True

string

Ügyfél API-verziója.

resource-type
query

string

erőforrástípus, amelyhez a vezénylők listáját vissza kell adni

Válaszok

Name Típus Description
200 OK

OrchestratorVersionProfileListResult

OKÉ

Biztonság

azure_auth

Azure Active Directory OAuth2-folyamat

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

List Container Service Orchestrators

Mintakérelem

GET https://management.azure.com/subscriptions/subid1/providers/Microsoft.ContainerService/locations/location1/orchestrators?api-version=2019-04-01

Mintaválasz

{
  "id": "/subscriptions/subid1/providers/Microsoft.ContainerService/locations/location1/orchestrators",
  "name": "default",
  "type": "Microsoft.ContainerService/locations/orchestrators",
  "properties": {
    "orchestrators": [
      {
        "orchestratorType": "DCOS",
        "orchestratorVersion": "1.10.0"
      },
      {
        "orchestratorType": "DCOS",
        "orchestratorVersion": "1.9.0"
      },
      {
        "orchestratorType": "DCOS",
        "orchestratorVersion": "1.8.8"
      },
      {
        "orchestratorType": "Swarm",
        "orchestratorVersion": "swarm:1.1.0"
      },
      {
        "orchestratorType": "DockerCE",
        "orchestratorVersion": "17.03.*"
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.8.1",
        "upgrades": [
          {
            "orchestratorVersion": "1.8.4"
          },
          {
            "orchestratorVersion": "1.8.2"
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.9.10",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.9.11",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.12",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.13",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.9.11",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.12",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.13",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.10.12",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.10.13",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.8",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.9",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.10.13",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.8",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.9",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.11.8",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.11.9",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.6",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.7",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.11.9",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.6",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.7",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.12.6",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.12.7",
            "isPreview": false
          },
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.13.5",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.12.7",
        "default": true,
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.13.5",
            "isPreview": false
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.13.5",
        "upgrades": [
          {
            "orchestratorType": "",
            "orchestratorVersion": "1.14.0",
            "isPreview": true
          }
        ]
      },
      {
        "orchestratorType": "Kubernetes",
        "orchestratorVersion": "1.14.0",
        "isPreview": true
      }
    ]
  }
}

Definíciók

Name Description
OrchestratorProfile

Az elérhető frissítési verziók listája.

OrchestratorVersionProfile

A vezénylő verzióprofiljainak listája.

OrchestratorVersionProfileListResult

A támogatott vezénylők verzióinak listája.

OrchestratorProfile

Az elérhető frissítési verziók listája.

Name Típus Description
isPreview

boolean

Azt jelzi, hogy a Kubernetes verziója jelenleg előzetes verzióban van-e.

orchestratorType

string

Vezénylő típusa.

orchestratorVersion

string

Orchestrator-verzió (főverzió, alverzió, javítás).

OrchestratorVersionProfile

A vezénylő verzióprofiljainak listája.

Name Típus Description
default

boolean

Alapértelmezés szerint telepítve van, ha nincs megadva verzió.

isPreview

boolean

Azt jelzi, hogy a Kubernetes verziója jelenleg előzetes verzióban van-e.

orchestratorType

string

Vezénylő típusa.

orchestratorVersion

string

Orchestrator-verzió (főverzió, alverzió, javítás).

upgrades

OrchestratorProfile[]

Az elérhető frissítési verziók listája.

OrchestratorVersionProfileListResult

A támogatott vezénylők verzióinak listája.

Name Típus Description
id

string

A vezénylő verzióprofiljának eredményének azonosítója.

name

string

A vezénylő verzióprofiljának eredményének neve.

properties.orchestrators

OrchestratorVersionProfile[]

A vezénylő verzióprofiljainak listája.

type

string

A vezénylő verzióprofiljának eredményének típusa.